/*******************************************************************************
/* Due to deprecation of sap_goldreflection with SAPUI5 version 1.38
/* the less file of base is directly at the top section of this file
/* and no longer imported within the library.source.less file. This decoupling
/* of the base theme is introduced with SAPUI5 version 1.44.
*******************************************************************************/

/*******************************************************************************
/* Start of base section
*******************************************************************************/

/*******************************************************************************
 * TABLE PARAMETERS
 ******************************************************************************/

@sapUiTableRowHeight: 23px;
@sapUiTableColHdrHeight: 23px;
@sapUiTableRowHdrWidth: 22px;
@sapUiTableToolbarDesign: ~"Transparent"; /* should be one of the sap.m.ToolbarDesign enumeration */
@sapUiTableCozyRowHdrWidth: 3rem;
@sapUiTableCozyRowHdrHeight: 3rem;

/*
 * BEHAVIOR CLASSES:
 * -----------------
 * sapUiTableVScr   - display vertical scrollbar
 * sapUiTableHScr   - display horizontal scrollbar
 * sapUiTableRSel   - display row selector column
 * sapUiTableCHdr   - display column header row
 * sapUiTableEmpty  - display the empty table message
 */


/*******************************************************************************
 * BOX SIZING FOR TABLE!
 ******************************************************************************/

.sapUiTable,
.sapUiTableHdr,
.sapUiTableTbr,
.sapUiTableExt,
.sapUiTableFtr,

.sapUiTableCnt,

.sapUiTableColRowHdr,
.sapUiTableColRowHdrIco,
.sapUiTableColHdrScr,
.sapUiTableColHdr,
.sapUiTableCol,
.sapUiTableColRsz,

.sapUiTableRowHdrScr,
.sapUiTableRowHdr,

.sapUiTableCtrlScr,
.sapUiTableCtrlCnt,
.sapUiTableCtrl,
.sapUiTableTr,
.sapUiTableTr > th,
.sapUiTableTr > td,
.sapUiTableCtrlEmpty,
.sapUiTableOverlayArea,
.sapUiTableCell,

.sapUiTableVSb,
.sapUiTableHSb {
	box-sizing: border-box;
}

.sapUiTableVSb {
	overflow-x: hidden;
	overflow-y: scroll;
	width: 16px;
}

.sapUiTableHSb {
	overflow-x: scroll;
	overflow-y: hidden;
}

.sapUiTableHSbContent {
	height: 1px;
}

.sapUiTableVSbContent {
	width: 1px;
}

/*******************************************************************************
 * TABLE SECTIONS
 ******************************************************************************/

.sapUiTable {
	color: @sapUiBaseText;
	position: relative;
}

.sapUiTableHScr .sapUiTableFtr {
	border-top: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableFtr {
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
	border-left: 1px solid @sapUiListHeaderBorderColor;
	border-right: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCnt.sapUiLocalBusy > div:nth-last-child(2) {
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCnt > div.sapUiLocalBusyIndicator {
	border-bottom: none;
}

.sapUiTableHdr,
.sapUiTableFtr {
	padding: 0px 10px;
	height: 22px;
	background-color: @sapUiExtraLightBG;
}

.sapUiTableHdr {
	font-weight: bold;
}

.sapUiTableHdrTitle {
	font-size: @sapUiFontHeader2Size;
	font-weight: bold;
	color: @sapUiTextTitle;
}

.sapUiTableTbr {
	height: 25px;
	border-bottom: none;
}

.sapUiTableExt {
	border-bottom: none;
}

.sapUiTableTbr .sapUiTb,
.sapUiTableTbr .sapUiTbCont {
	border: none;
}

/*******************************************************************************
 * TABLE CONTROL
 ******************************************************************************/

.sapUiTableCnt {
	position: relative;
	overflow: hidden; /* avoid scrollbar for column resize handlers */
	border-left: 1px solid @sapUiListHeaderBorderColor;
	border-right: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCCnt {
	position: relative;
	overflow: hidden;
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

/* Since in visibleRowCountMode=Auto, the table has no height, the overlay must be applied to every child div
 of the table root div. Because they have some borders and margins applied, the strech the overlay by 2 pixels to top and
 bottom to be able to cover margins and borders*/
.sapUiTable.sapUiTableOverlay > div:after {
	content: '';
	z-index: 9;
	/* same as sapUiOverlay */
	background-color: fade(@sapUiExtraLightBG, 80%);
	position: absolute;
	top: -2px;
	left: 0;
	right: 0;
	bottom: -2px;
	/* same as sapUiOverlay */
}

.sapUiTableOverlay .sapUiTableHdr,
.sapUiTableOverlay .sapUiTableTbr,
.sapUiTableOverlay .sapUiTableExt,
.sapUiTableOverlay .sapUiTableFtr,
.sapUiTableOverlay .sapUiTableColHdrCnt,
.sapUiTableOverlay .sapUiTableColRsz,
.sapUiTableOverlay .sapUiTableCCnt,
.sapUiTableOverlay .sapUiTableHSb {
	pointer-events: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.sapUiTable.sapUiTableOverlay > div {
	position: relative;
}

.sapUiTableOverlay .sapUiTableOverlayArea,
.sapUiTableOverlay .sapUiTableOuterBefore,
.sapUiTableOverlay .sapUiTableOuterAfter {
	display: block;
}

/* COL HEADER */
.sapUiTableColHdrCnt {
	display: none;
	position: relative;
	background-color: @sapUiExtraLightBG;
	max-width: 100%;
	overflow: hidden;
	white-space: nowrap;
	border-top: 1px solid @sapUiListHeaderBorderColor;
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableRSel .sapUiTableColHdrCnt > .sapUiTableColRowHdr {
	display: inline-block;
}

.sapUiTableCol, .sapUiTableHasNoColumns {
	min-height: @sapUiTableColHdrHeight;
}

.sapUiTableCHdr .sapUiTableColHdrCnt {
	display: block;
}

.sapUiTableColHdrScr {
	height: 100%;
	display: inline-block;
	overflow: hidden;
	margin: 0;
	vertical-align: top;
	white-space: nowrap;
}

.sapUiTableColHdrFixed {
	display: inline-block;
	vertical-align: top;
}

.sapUiTableVScr .sapUiTableCtrlScr {
	margin-right: 16px;
}

html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableCtrlScr {
	margin-right: 12px;
}

/* Hide last border right of column header
	and cell when no vertical scroll is available */
.sapUiTable:not(.sapUiTableVScr) {
	.sapUiTableColHdrScr .sapUiTableCol:last-child,
	.sapUiTableCtrlScroll .sapUiTableTr > td:last-child
	{
		border-right: none;
	}
}

.sapUiTableCtrlCol > th > * {
	display: none;
}

.sapUiTableColCell {
	position: relative;
}

.sapUiTableColCell, .sapUiTableColRowHdrIco {
	text-overflow: ellipsis;
	overflow: hidden;
	padding: 0 8px;
	vertical-align: middle;
	white-space: normal;
}

.sapUiTableColRowHdr {
	display: none;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	width: @sapUiTableRowHdrWidth;
}

.sapUiTableRSel .sapUiTableRowHdrScr .sapUiTableColRowHdr {
	display: block;
}

.sapUiSizeCozy {
	.sapUiTableColRowHdr.sapUiTableSelAllEnabled,
	.sapUiTableRowHdr {
		width: @sapUiTableCozyRowHdrWidth;
	}
}

.sapUiTableAriaRowSel {
	font-size: 0;
}

.sapUiTableColRowHdrIco {
	height: @sapUiLineHeight;
	width: 100%;
	text-align: center;
	background-repeat: no-repeat;
	background-position: center center;
}

/* ROW HEADER */
.sapUiTableRowHdrScr {
	display: none;
	position: absolute;
	top: 0px;
	left: 0px;
	width: @sapUiTableRowHdrWidth;
}

.sapUiTableRSel .sapUiTableRowHdrScr {
	display: block;
}

/* TABLE */
.sapUiTableCtrlScr {
	position: relative;
	margin: 0;
	overflow: hidden;
}

.sapUiTableCtrlCol {
	/* row defining the width of the cols */
	height: 0px !important;
	margin: 0;
	padding: 0;
	border: none;
}

.sapUiTableCtrlCol > th {
	height: inherit;
	margin: 0;
	padding: 0;
	border: none;
}

.sapUiTableCtrl {
	position: relative;
	table-layout: fixed;
	width: 100%;
	border-collapse: separate;
	border-spacing: 0;
	margin: 0;
	padding: 0;
}

.sapUiTableCtrl tr {
	height: @sapUiTableRowHeight;
}

.sapUiTableResizing .sapUiTableCtrlCnt tr {
	pointer-events:none;
}

.sapUiTableTr > td {
	padding: 0;
	vertical-align: middle;
}

.sapUiTableCtrlScrFixed {
	float: left;
}

.sapUiTableCtrlScrFixed, .sapUiTableColHdrFixed {
	max-width:100%;
	overflow:hidden;
}

.sapUiTableCell {
	height: inherit;
	text-overflow: ellipsis;
	overflow: hidden;
	padding: 0 0.5rem;
	white-space: nowrap;
}

.sapUiTableCellFlex {
	display: flex;
}

.sapUiTableRowHidden .sapUiTableCell,
.sapUiTableCellHidden .sapUiTableCell {
	visibility: hidden; /* hidden row (no content) */
}

.sapUiTableNoOpacity {
	opacity: 0;
	overflow: hidden;
}

.sapUiTableColSF::after { /* sort and filter */
	content : "";
	position: absolute;
	right: 0;
	font-family: SAP-Icons;
	font-size: 0.75rem;
	padding-right: 0.375rem;
}

.sapUiSizeCozy .sapUiTableColSF::after {
	line-height: 3rem;
}

/* show different icon combinations */
.sapUiTableColSorted::after {
	content : "\e1fd";
}

.sapUiTableColSortedD::after {
	content : "\e1fc";
}

.sapUiTableColFiltered::after {
	content : "\e076";
}

.sapUiTableColFiltered.sapUiTableColSorted::after {
	content : "\e076\00a0\e1fd";
}

.sapUiTableColFiltered.sapUiTableColSortedD::after {
	content : "\e076\00a0\e1fc";
}

.sapUiTableColCell.sapUiTableColSorted,
.sapUiTableColCell.sapUiTableColFiltered {
	padding-right: 24px;
}

.sapUiTableColCell.sapUiTableColSorted.sapUiTableColFiltered {
	padding-right: 38px;
}

.sapUiTableCtrlEmpty,
.sapUiTableOverlayArea {
	display: none;
	position: absolute;
	height: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	text-align: center;
}

.sapUiTableCtrlEmpty {
	background-color: @sapUiExtraLightBG;
}

.sapUiTableOverlayArea {
	background-color: transparent;
	z-index: 10;
}

.sapUiTableOverlayArea:focus,
.sapUiTableCtrlEmpty:focus {
	outline-width: 1px;
	outline-style: dotted;
	outline-offset: -3px;
	outline-color: @sapUiContentFocusColor;
}

html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus {
	outline-width: 0px;
}

html[data-sap-ui-browser^="ie"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableOverlayArea:focus:before,
html[data-sap-ui-browser^="ie"] .sapUiTableCtrlEmpty:focus:before,
html[data-sap-ui-browser^="ed"] .sapUiTableCtrlEmpty:focus:before {
	position: absolute;
	top: 2px;
	left: 2px;
	right: 2px;
	bottom: 2px;
	border-width: 1px;
	border-style: dotted;
	border-color: @sapUiContentFocusColor;
	content: "";
	pointer-events: none;
}

.sapUiTableCtrlEmptyMsg {
	position: absolute;
	top: 50%;
	margin-top: -0.5em;
	left: 0;
	width: 100%;
	box-sizing: border-box;
	padding: 0 1rem;
	white-space: pre-wrap;
}

.sapUiTableEmpty .sapUiTableCtrlEmpty {
	display: block;
}

.sapUiTableEmpty .sapUiTableRowHdr {
	opacity: 0;
}

.sapUiTableOuterAfter,
.sapUiTableOuterBefore {
	display: none;
}

.sapUiTablePaginator {
	text-align: center;
	padding: 2px;
}

.sapUiTableDragDrop {
	cursor: move;

	.sapUiTableCCnt, .sapUiTableColRsz {
		pointer-events: none;
	}

	.sapUiTableCol {
		cursor: move;

		* {
			cursor: move;
		}
	}
}


/*******************************************************************************
 * DND & RESIZE ELEMENTS
 ******************************************************************************/

.sapUiTableColGhost {
	position: absolute;
	width: auto;
	cursor: pointer;
	padding: 0 8px;
	background-color: @sapUiExtraLightBG;
	border: 1px solid @sapUiListHighlightColor;
	opacity: 0.5;
}

.sapUiTableColRsz {
	position: absolute;
	top: 0px;
	width: 5px;
	margin-left: -4px;
	bottom: 0px;
	cursor: col-resize;
	z-index: 1;
}

html[dir=rtl] .sapUiTableColRsz {
	margin-right: -3px;
}

.sapUiTableHScr .sapUiTableColRsz {
	bottom: 18px;
}

html.sap-desktop .sapUiTableColRsz:hover {
	background-color: @sapUiListHighlightColor;
	opacity: 0.5;
}

.sapUiTableColRszActive,
html.sap-desktop .sapUiTableColRsz.sapUiTableColRszActive:hover {
	background-color: @sapUiListHighlightColor;
	opacity: 1;
}


/*******************************************************************************
 * VERTICAL SCROLLBAR
 ******************************************************************************/

.sapUiTableVSb {
	display: none;
	position: absolute;
	top: 0px;
	right: 0px;
	width: 16px;
	bottom: 0px;
}

html[data-sap-ui-browser^="ie"] .sapUiTableVSb {
	width: 18px;
	right: -1px;
}

.sapUiTableVScr .sapUiTableVSb {
	display: block;
}

/* Cozy Mode when sap.m. library is loaded */
.sapUiSizeCozy .sapUiTable {

	/* Header */
	& > .sapUiTableCnt > .sapUiTableColHdrCnt {
		min-height: 3rem;
	}

	/* Footer */
	&  > .sapUiTableFtr {
		height: 3rem;
		line-height: 3rem;
		padding-top: 0;
	}

	/* Row */
	.sapUiTableCtrl tr {
		height: 3rem;
	}

	/* Header */
	.sapUiTableCol, .sapUiTableColRowHdr {
		padding-top: 0;
		padding-bottom: 0;
	}

	.sapUiTableColCell {
		height: 3rem;
	}

	.sapUiTableColCell > * {
		height: 100%;
		line-height: 3rem;
	}

	.sapUiTableColRowHdrIco {
		height:100%;
	}

	/* Footer Adjustments */
	.sapUiTableFtr > .sapMLabel {
		// Subtract the outer padding of the footer, when it is a table text view
		height: 3rem;
		line-height: 3rem;
	}
}


/*******************************************************************************
 * HORIZONTAL SCROLLBAR
 ******************************************************************************/

.sapUiTableHSb {
	display: none;
	position: relative;
	height: 16px;
	margin: 0;
}

html[data-sap-ui-browser^="ie"] .sapUiTableHSb {
	height: 18px;
}

html[data-sap-ui-browser^="ed"] .sapUiTableHSb {
	height: 12px;
}

.sapUiTableHScr .sapUiTableHSb {
	display: block;
}

.sapUiTableVScr .sapUiTableHSb {
	margin-right: 16px; /* 17px */
}

html[data-sap-ui-browser^="ed"] .sapUiTableVScr .sapUiTableHSb {
	margin-right: 12px;
}
/*******************************************************************************
 * CHILD CONTROL STYLES
 ******************************************************************************/

.sapUiTableCol .sapUiLbl,
.sapUiTableCell > .sapUiTf,
.sapUiTableCell > .sapUiSearchField,
.sapUiTableCell > .sapUiSearchField > .sapUiTfCombo,
.sapUiTableCell > .sapUiTfCombo {
	border: none;
	background: none;
	padding: 0;
	margin: 0;
	width: 100%;
}

.sapUiTableCell > .sapUiTf.sapUiTfErr.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfErr.sapUiTfStd {
	background-color: @sapUiFieldInvalidBackground;
}
.sapUiTableCell > .sapUiTf.sapUiTfWarn.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfWarn.sapUiTfStd {
	background-color: @sapUiFieldWarningBackground;
}
.sapUiTableCell > .sapUiTf.sapUiTfSucc.sapUiTfStd,
.sapUiTableCell > .sapUiTfCombo.sapUiTfSucc.sapUiTfStd {
	background-color: @sapUiFieldSuccessBackground;
}

.sapUiTableCell > .sapUiTfCombo {
	padding: 0 8px 0 0;
}

.sapUiTableCell > .sapUiTv,
.sapUiTableCell > .sapUiLbl,
.sapUiTableCell > .sapUiLnk {
	display: block;
	overflow: hidden;
	text-overflow: ellipsis;
}

/* Keep sure that sap.m.Link is vertically aligned inside a table cell */
.sapUiTableCell .sapUiLnk, .sapUiTableColCell .sapUiImg {
	vertical-align: middle;
}

.sapUiTableCell > .sapUiImg {
	margin-top: 1px;
}

.sapUiTableRowHidden .sapUiTableCell > .sapUiImg {
	display: none; /* images will be removed to avoid pushing the height of the line */
}

.sapUiTableCell > .sapUiRating {
	display: block;
}


/*******************************************************************************
 * TREETABLE & GROUPING STYLES
 ******************************************************************************/

.sapUiSizeCompact .sapUiTableTr > td {
	padding-top: 0px;
	padding-bottom: 0px;
}

.sapUiTableColumnVisibilityMenu .sapUiMnuItm {
	padding-right: 18px;
}

.sapUiTableHeightResizer {
	background-image: url(img/splitter_horiz_grip.gif);
	background-position: center center;
	background-repeat: no-repeat;
	background-color: #dbe5ec;
	box-sizing: border-box;
}

.sapUiTableHeightResizer:hover {
	background-color: @sapUiExtraLightBG;
	cursor: n-resize;
}


.sapUiTableSelModeNone .sapUiTableRowHdr {
	width: 0;
	border-left: 0;
	border-right: 0;
}

/* FIX for IE fixed columns */
html[data-sap-ui-browser^="ie"] .sapUiTableColHdrCnt {
	width: 100%;
}

.sapUiTableHiddenSizeDetector {
	position: absolute;
	left: -1000px;
	visibility: hidden;
	display: inline-block;
}

.sapUiTable > div.sapUiOverlay.sapUiTableOverlay {
	border: 0; /* Overlay should not have border */
}

.sapUiTableColCellMenu div {
	display: inline-block;
	position: absolute;
	font-family: 'SAP-icons';
	font-size: 1.375rem;
	text-align: center;
	-moz-transform: translatey(-50%);
	-ms-transform: translatey(-50%);
	-webkit-transform: translatey(-50%);
	transform: translatey(-50%);
	top:50%;
}

.sapUiTableColCellMenu .sapUiTableColDropDown {
	left: 0;
	width: 2rem;
	right: 2rem;
	text-align: center;
	padding-left: 0.25rem;
	padding-right: 0.25rem;
	cursor: default;
}

.sapUiTableColDropDown:active {
	color: @sapUiTextInverted;
}

.sapUiTableColResizer {
	right: 0;
	width: 2rem;
	padding-left: 0.25rem;
	padding-right: 0.25rem;
	cursor: default;
}

.sapUiTableInteractiveResizerGhost {
	position: absolute;
	background-color: @sapUiHighlight;
	color: @sapUiTextInverted;
	z-index:10000;
}

// Hide table during transition, because shrinked width causes growing rows
.sapMNavItemFlipping .sapUiTable {
	opacity: 0;
}

/*******************************************************************************
/* End of base section
/* Start of sap_goldreflection less section
*******************************************************************************/

/*******************************************************************************
 * TABLE PARAMETERS
 ******************************************************************************/

@sapUiTableRowHeight: 28px;
@sapUiTableColHdrHeight: 28px;


/*******************************************************************************
 * TABLE SECTIONS
 ******************************************************************************/

.sapUiTable > .sapUiTableHdr {
	border: none;
	border-bottom: 2px solid @sapUiListHighlightColor;
	height: 25px;
	padding: 0;
	margin-bottom: 2px;
	background-color: transparent;
}

.sapUiTableHdrTitle {
	font-size: @sapUiFontHeader3Size;
	height: 100%;
}

.sapUiTable > .sapUiTableFtr {
	min-height: 27px;
	background-color: @sapUiListHeaderBackground;
	padding-top: 4px;
}

.sapUiTable > .sapUiTableTbr {
	border: none;
	border-bottom: 2px solid @sapUiWhiteBorder;
	height: 30px;
}

.sapUiTableTbr > .sapUiTb {
	background-color: @sapUiListHeaderBorderColor;
}

.sapUiTable > .sapUiTableExt {
	border: none;
	border-bottom: 2px solid @sapUiWhiteBorder;
}

.sapUiTableColRowHdrIco {
	background-image: url('img/Select_All_Icon.png');
	background-position: 50% 50%;
}

.sapUiTableColRowHdr,
.sapUiTableRowHdr,
.sapUiTableColHdrCnt {
	background-color: @sapUiListHeaderBackground;
}

.sapUiTableColRowHdr,
.sapUiTableCol {
	padding-top: 5px;
	padding-bottom: 5px;
}

.sapUiTableColRowHdr.sapUiTableSelAll {
	padding-top: 7px;
}

.sapUiTableColIcons {
	padding-top: 6px;
}

.sapUiTableCol:hover,
.sapUiTableColRowHdr:hover {
	background-color: @sapUiListHeaderBorderColor;
}

.sapUiTableSelModeSingle .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeMulti .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeMultiToggle .sapUiTableRowHdr.sapUiTableRowSel {
	background-color: @sapUiListHighlightColor;
	border-right-color: @sapUiListHighlightColor;
}

.sapUiTableRowHdr.sapUiTableRowHvr {
	background-color: @sapUiListHeaderBorderColor;
}

.sapUiTableColHdrCnt {
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCol {
	border-right: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableColHdr:not(:first-of-type) .sapUiTableCol {
	border-top: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTable > .sapUiTableCnt {
	border-left: 1px solid @sapUiListHeaderBorderColor;
	border-right: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableColRowHdr,
.sapUiTableRowHdr {
	border-right: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableRowHdr,
.sapUiTableTr > td {
	padding-top: 2px;
	padding-bottom: 1px;
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCtrl.sapUiTableCtrlRowFixed tr:last-child > td {
	padding-top: 2px;
	padding-bottom: 1px;
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCtrl.sapUiTableCtrlRowFixedBottom {
	margin-top: -1px;
}
.sapUiTableCtrl.sapUiTableCtrlRowFixedBottom tr:first-child > td {
	padding-top: 2px;
	padding-bottom: 1px;
	border-top: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableRowHdr:last-child,
.sapUiTableCtrl tr:last-child > td {
	border-bottom: none;
}

.sapUiTableEdt .sapUiTableCtrl:not(.sapUiTableCHT) {
	background: @sapUiWhiteBG;
}

.sapUiTableCtrl tr.sapUiTableRowHvr {
	background-color: @sapUiListHoverBackground;
}

.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td {
	border-top: 2px solid @sapUiListHighlightColor;
	border-bottom: 2px solid @sapUiListHighlightColor;
	padding-top: 0;
	padding-bottom: 0;
}

.sapUiTableSelModeMulti .sapUiTableCtrl tr.sapUiTableRowSel > td,
.sapUiTableSelModeMultiToggle .sapUiTableCtrl tr.sapUiTableRowSel > td {
	background-color: @sapUiListSelectionBackgroundColor;
}

.sapUiTableSelModeMulti .sapUiTableCtrl tr.sapUiTableRowSel.sapUiTableRowHvr > td,
.sapUiTableSelModeMultiToggle .sapUiTableCtrl tr.sapUiTableRowSel.sapUiTableRowHvr > td {
	background-color: mix(@sapUiListHighlightColor, @sapUiListSelectionBackgroundColor, 10.35%);
}

.sapUiTableSelModeSingle .sapUiTableRowHdr.sapUiTableRowSel,
.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td:last-child {
	border-right: 2px solid @sapUiListHighlightColor;
	border-bottom: 2px solid @sapUiListHighlightColor;
}

/* support for left border in RowOnly selection behavior */
.sapUiTableTr > td.sapUiTableTdFirst {
	padding-left: 2px;
}

.sapUiTableRSel .sapUiTableTr > td.sapUiTableTdFirst {
	padding-left: 0;
}

.sapUiTableTr > td.sapUiTableTdFirst > .sapUiTableCell {
	padding-left: 6px;
}

.sapUiTableRSel .sapUiTableTr > td.sapUiTableTdFirst > .sapUiTableCell {
	padding-left: 8px;
}

.sapUiTableSelModeSingle .sapUiTableCtrl tr.sapUiTableRowSel > td.sapUiTableTdFirst {
	border-left: 2px solid @sapUiListHighlightColor;
	padding-left: 0px;
}

.sapUiTableSelModeSingle.sapUiTableRSel .sapUiTableCtrl tr.sapUiTableRowSel > td.sapUiTableTdFirst {
	border-left: none;
}

.sapUiTableRowHdr.sapUiTableRowHvr {
	border-bottom: 1px solid @sapUiListHeaderBorderColor;
}

.sapUiTableCtrl tr:hover:first-child {
	border: none;
}

.sapUiTableRSel {
	.sapUiTableCtrlScr,
	.sapUiTableCtrlScrFixed {
		margin-left: 22px;
	}
}
